<div>
  <h2 id="page-heading" data-cy="IndemniteHeading">
    <span jhiTranslate="gestionPersonnel3App.indemnite.home.title">Indemnites</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.indemnite.home.refreshListLabel">Actualiser la liste</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-indemnite"
        [routerLink]="['/indemnite/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="gestionPersonnel3App.indemnite.home.createLabel"> Créer un nouveau Indemnite </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="indemnites?.length === 0">
    <span jhiTranslate="gestionPersonnel3App.indemnite.home.notFound">Aucun Indemnite trouvé</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="indemnites && indemnites.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="global.field.id">ID</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="typeIndemnite">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.indemnite.typeIndemnite">Type Indemnite</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="montantIndemnite">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.indemnite.montantIndemnite">Montant Indemnite</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="employe.id">
            <div class="d-flex">
              <span jhiTranslate="gestionPersonnel3App.indemnite.employe">Employe</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let indemnite of indemnites; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/indemnite', indemnite.id, 'view']">{{ indemnite.id }}</a>
          </td>
          <td>{{ indemnite.typeIndemnite }}</td>
          <td>{{ indemnite.montantIndemnite }}</td>
          <td>
            <div *ngIf="indemnite.employe">
              <a [routerLink]="['/employe', indemnite.employe.id, 'view']">{{ indemnite.employe.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/indemnite', indemnite.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Voir</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/indemnite', indemnite.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editer</span>
              </button>

              <button type="submit" (click)="delete(indemnite)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Supprimer</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
